var chapters = [
  { topic: "chapter", section: "1", title: "Introduction to Oracle JDeveloper", anchor: "OJDUG110", file: "gs_jdev.htm" },
  { topic: "chapter", section: "2", title: "Oracle JDeveloper Accessibility Information", anchor: "OJDUG118", file: "access_info.htm" },
  { topic: "chapter", section: "3", title: "Working with Oracle JDeveloper", anchor: "OJDUG142", file: "working_jdev.htm" },
  { topic: "chapter", section: "4", title: "Getting Started with Developing Applications with Oracle JDeveloper", anchor: "OJDUG419", file: "gs_dev_apps.htm" },
  { topic: "chapter", section: "5", title: "Developing Applications Using Modeling", anchor: "OJDUG2334", file: "dev_apps_modeling.htm" },
  { topic: "chapter", section: "6", title: "Versioning Applications with Source Control", anchor: "OJDUG2752", file: "dev_apps_teams.htm" },
  { topic: "chapter", section: "7", title: "Building, Running and Debugging Applications", anchor: "OJDUG524", file: "bldg_run_debug_apps.htm" },
  { topic: "chapter", section: "8", title: "Auditing and Profiling Applications", anchor: "OJDUG532", file: "aud_prof_test_apps.htm" },
  { topic: "chapter", section: "9", title: "Deploying Applications", anchor: "OJDUG542", file: "deploying_apps.htm" },
  { topic: "chapter", section: "10", title: "Getting Started with Developing Java Applications", anchor: "OJDUG1483", file: "gs_dev_java_apps.htm" },
  { topic: "chapter", section: "11", title: "Working with Java Code", anchor: "OJDUG5615", file: "working_java_code.htm" },
  { topic: "chapter", section: "12", title: "Building Java Projects", anchor: "OJDUG5781", file: "building_java_projects.htm" },
  { topic: "chapter", section: "13", title: "Optimizing Java Projects", anchor: "OJDUG5868", file: "optimizing_java_projects.htm" },
  { topic: "chapter", section: "14", title: "Running and Debugging Java Programs", anchor: "OJDUG2059", file: "run_debug_java.htm" },
  { topic: "chapter", section: "15", title: "Implementing Java Swing User Interfaces", anchor: "OJDUG2085", file: "java_swing.htm" },
  { topic: "chapter", section: "16", title: "Working with JavaBeans", anchor: "OJDUG6005", file: "working_javabeans.htm" },
  { topic: "chapter", section: "17", title: "Getting Started with Developing Java EE Applications", anchor: "OJDUG760", file: "gs_dev_javaee_apps.htm" },
  { topic: "chapter", section: "18", title: "Developing Applications Using Web Page Tools", anchor: "OJDUG3441", file: "dev_wpt.htm" },
  { topic: "chapter", section: "19", title: "Developing with EJB and JPA Components", anchor: "OJDUG954", file: "dev_ejb_jpa.htm" },
  { topic: "chapter", section: "20", title: "Developing Persistence in Applications Using Oracle TopLink", anchor: "OJDUG1089", file: "dev_toplink.htm" },
  { topic: "chapter", section: "21", title: "Developing Secure Applications", anchor: "OJDUG1167", file: "dev_secure_apps.htm" },
  { topic: "chapter", section: "22", title: "Developing Applications Using XML", anchor: "OJDUG1174", file: "dev_apps_xml.htm" },
  { topic: "chapter", section: "23", title: "Developing and Securing Web Services", anchor: "OJDUG1293", file: "dev_web_services.htm" },
  { topic: "chapter", section: "24", title: "Getting Started with Working with Databases", anchor: "OJDUG2355", file: "gs_databases.htm" },
  { topic: "chapter", section: "25", title: "Using the Database Tools", anchor: "OJDUG2359", file: "db_tools.htm" },
  { topic: "chapter", section: "26", title: "Connecting to and Working with Databases", anchor: "OJDUG2404", file: "connect_work_databases.htm" },
  { topic: "chapter", section: "27", title: "Designing Databases Within Oracle JDeveloper", anchor: "OJDUG2538", file: "designing_databases.htm" },
  { topic: "chapter", section: "28", title: "Using Java in the Database", anchor: "OJDUG5147", file: "java_database.htm" },
  { topic: "chapter", section: "29", title: "Running and Debugging PL/SQL and Java Stored Procedures", anchor: "OJDUG5224", file: "dev_stored_proc.htm" },
  { } ];
